org.apache.hadoop.mapreduce.v2.app.speculate

## Class DataStatistics

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.speculate.DataStatistics

-     public class DataStatistics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataStatistics()`
    `DataStatistics(double initNum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double newNum)`
    `double` | `count()`
    `double` | `mean()`
    `double` | `meanCI()` calculates the mean value within 95% ConfidenceInterval.
    `double` | `outlier(float sigma)`
    `double` | `std()`
    `String` | `toString()`
    `void` | `updateStatistics(double old, double update)`
    `double` | `var()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataStatistics

          public DataStatistics()

    - #### DataStatistics

          public DataStatistics(double initNum)

  - ### Method Detail

    - #### add

          public void add(double newNum)

    - #### updateStatistics

          public void updateStatistics(double old,
                                       double update)

    - #### mean

          public double mean()

    - #### var

          public double var()

    - #### std

          public double std()

    - #### outlier

          public double outlier(float sigma)

    - #### count

          public double count()

    - #### meanCI

          public double meanCI()

      calculates the mean value within 95% ConfidenceInterval. 1.96 is standard for 95 %
      Returns:
        the mean value adding 95% confidence interval

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.